OGRE: Ogre::D3D11StereoDriverNVIDIA Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::D3D11StereoDriverNVIDIA Class Reference

Interface of the NVIDIA stereo driver. More...

`#include <OgreD3D11StereoDriverNVIDIA.h>`

Inheritance diagram for Ogre::D3D11StereoDriverNVIDIA:
[legend]

## Public Member Functions
| D3D11StereoDriverNVIDIA ()
virtual | ~D3D11StereoDriverNVIDIA ()
virtual bool | addRenderWindow (D3D11RenderWindowBase *renderWindow)
virtual bool | isStereoEnabled (const String &renderWindowName)
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
virtual bool | removeRenderWindow (const String &renderWindowName)
virtual bool | setDrawBuffer (ColourBufferType colourBuffer)

## Detailed Description

Interface of the NVIDIA stereo driver.

## Constructor & Destructor Documentation

## ◆ D3D11StereoDriverNVIDIA()

Ogre::D3D11StereoDriverNVIDIA::D3D11StereoDriverNVIDIA | ( |  | ) |

## ◆ ~D3D11StereoDriverNVIDIA()

virtual Ogre::D3D11StereoDriverNVIDIA::~D3D11StereoDriverNVIDIA | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addRenderWindow()

virtual bool Ogre::D3D11StereoDriverNVIDIA::addRenderWindow | ( | D3D11RenderWindowBase * | renderWindow | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

## ◆ isStereoEnabled()

virtual bool Ogre::D3D11StereoDriverNVIDIA::isStereoEnabled | ( | const String & | renderWindowName | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ removeRenderWindow()

virtual bool Ogre::D3D11StereoDriverNVIDIA::removeRenderWindow | ( | const String & | renderWindowName | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

## ◆ setDrawBuffer()

virtual bool Ogre::D3D11StereoDriverNVIDIA::setDrawBuffer | ( | ColourBufferType | colourBuffer | ) |
| virtual

Implements Ogre::D3D11StereoDriverImpl.

The documentation for this class was generated from the following file:

- OgreD3D11StereoDriverNVIDIA.h